generic_file_splice_write_nolock
Prev | Chapter 31. splice API | Next

## Name

generic_file_splice_write_nolock — generic_file_splice_write without mutexes

## Synopsis

`ssize_t generic_file_splice_write_nolock (` | struct pipe_inode_info * | pipe,
| struct file * | out,
| loff_t * | ppos,
| size_t | len,
| unsigned int | flags`)`;

## Arguments

`pipe`

  pipe info

`out`

  file to write to

`ppos`

  position in `out`

`len`

  number of bytes to splice

`flags`

  splice modifier flags

## Description

Will either move or copy pages (determined by `flags` options) from the given pipe inode to the given file. The caller is responsible for acquiring i_mutex on both inodes.

Prev | Up | Next
splice_from_pipe | Home | generic_file_splice_write